Bug 198041 - Resolution and timing mismatch
Resolution and timing mismatch
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Depends On:
  Show dependency treegraph
Reported: 2006-07-08 09:24 EDT by Jurgen Kramer
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-28 13:28:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Full Xorg log (50.13 KB, application/octet-stream)
2006-07-08 09:24 EDT, Jurgen Kramer
no flags Details

  None (edit)
Description Jurgen Kramer 2006-07-08 09:24:10 EDT
Description of problem:
The new i810 driver properly recognizes the native resolution of the MacBook LCD
panel (1280x800). xrander shows that is X is running at 1280x800 but the image
is not as sharp as it should be. Xvidtune shows that X is actually running at

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start X in 1280x800
Actual results:
1280x800 is properly selected but the image is not sharp (fonts are blurred).
xvidtune shows X is running at 1280x768.

Expected results:
Running @ 1280x800 resolution and timing.

Additional info:
This is on a Apple MacBook.
Comment 1 Jurgen Kramer 2006-07-08 09:24:10 EDT
Created attachment 132106 [details]
Full Xorg log
Comment 2 Jurgen Kramer 2006-07-08 12:11:21 EDT
I found out that X is really running at 1280x768 instead of the proclaimed
1280x800. I can scroll the entire screen up and down a few lines (i.e. 800-768
lines). After I re-added my custom ModeLine:

 ModeLine     "1280x800" 71.0 1280 1328 1360 1440 800 803 809 823 -hsync -vsync

I have my 1280x800 back. This modelines is actually suggested by the driver:

(II) I810(0): Supported additional Video Mode:
(II) I810(0): clock: 71.0 MHz   Image Size:  286 x 179 mm
(II) I810(0): h_active: 1280  h_sync: 1328  h_sync_end 1360 h_blank_end 1440
h_border: 0
(II) I810(0): v_active: 800  v_sync: 803  v_sync_end 809 v_blanking: 823 v_border: 0
(II) I810(0):  B133EW01 V0
(II) I810(0): Monitor name: Color LCD
Comment 3 Jurgen Kramer 2006-07-28 13:28:58 EDT
This bug is fixed, for my MacBook at least. No 1280x800 modeline in xorg.conf

Note You need to log in before you can comment on or make changes to this bug.